ID CVE-2019-1003091
Summary A missing permission check in Jenkins SOASTA CloudTest Plugin in the CloudTestServer.DescriptorImpl#doValidate form validation method allows attackers with Overall/Read permission to initiate a connection to an attacker-specified server.
References
Vulnerable Configurations
  • cpe:2.3:a:jenkins:soasta_cloudtest:-:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:-:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.0:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.0:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.1:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.1:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.2:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.2:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.3:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.3:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.4:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.4:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.5:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.5:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.6:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.6:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.7:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.7:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.8:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.8:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.13:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.13:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.14:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.14:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.15:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.15:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.16:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.16:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.17:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.17:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.18:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.18:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.19:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.19:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.20:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.20:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.21:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.21:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.22:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.22:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.23:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.23:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.24:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.24:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:soasta_cloudtest:2.25:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:soasta_cloudtest:2.25:*:*:*:*:jenkins:*:*
CVSS
Base: 4.0 (as of 15-07-2020 - 13:54)
Impact:
Exploitability:
CWE CWE-862
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW SINGLE
Impact
ConfidentialityIntegrityAvailability
NONE PARTIAL NONE
cvss-vector via4 AV:N/AC:L/Au:S/C:N/I:P/A:N
refmap via4
bid 107790
confirm https://jenkins.io/security/advisory/2019-04-03/#SECURITY-1054
mlist [oss-security] 20190413 Re: Multiple vulnerabilities in Jenkins plugins
Last major update 15-07-2020 - 13:54
Published 04-04-2019 - 16:29
Last modified 15-07-2020 - 13:54
Back to Top